﻿Public Class Form1

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles Me.Load
        Dim strNomeColonna As String
        Dim x%

        Dim ds As New DataSet
        Dim dt As DataTable
        Dim dr As DataRow

        Dim colIndice As DataColumn
        Dim colNome As DataColumn
        Dim colCognome As DataColumn
        Dim colCitta As DataColumn

        dt = New DataTable()
        colIndice = New DataColumn("ID", Type.GetType("System.Int32"))
        colNome = New DataColumn("Nome", Type.GetType("System.String"))
        colCognome = New DataColumn("Cognome", Type.GetType("System.String"))
        colCitta = New DataColumn("Citta", Type.GetType("System.Int32"))

        dt.Columns.Add(colIndice)
        dt.Columns.Add(colNome)
        dt.Columns.Add(colCognome)
        dt.Columns.Add(colCitta)


        dr = dt.NewRow()
        dr("ID") = 1
        dr("Nome") = "Andrea"
        dr("Cognome") = "Villa"
        dr("Citta") = 2
        dt.Rows.Add(dr)

        dr = dt.NewRow()
        dr("ID") = 2
        dr("Nome") = "Andrea"
        dr("Cognome") = "Piselli"
        dr("Citta") = 1
        dt.Rows.Add(dr)

        dr = dt.NewRow()
        dr("ID") = 3
        dr("Nome") = "Roberto"
        dr("Cognome") = "Villa"
        dr("Citta") = 1
        dt.Rows.Add(dr)

        dr = dt.NewRow()
        dr("ID") = 4
        dr("Nome") = "Alvaro"
        dr("Cognome") = "Vitali"
        dr("Citta") = 3
        dt.Rows.Add(dr)

        dr = dt.NewRow()
        dr("ID") = 4
        dr("Nome") = "Annalisa"
        dr("Cognome") = "La Bella"
        dr("Citta") = 4
        dt.Rows.Add(dr)

        ds.Tables.Add(dt)

        Me.C1TrueDBGrid1.DataSource = ds.Tables(0)


        strNomeColonna = "Citta"
        Me.C1TrueDBGrid1.Columns(strNomeColonna).ValueItems.Translate = True
        Me.C1TrueDBGrid1.Columns(strNomeColonna).ValueItems.Presentation = C1.Win.C1TrueDBGrid.PresentationEnum.ComboBox
        Me.C1TrueDBGrid1.Columns(strNomeColonna).ValueItems.MaxComboItems = 15
        subCaricaInValueItems(C1TrueDBGrid1, strNomeColonna)
        Me.C1TrueDBGrid1.Splits(0).DisplayColumns(strNomeColonna).DropDownList = True

        Me.C1TrueDBGrid1.AllowFilter = True

        For x% = 0 To Me.C1TrueDBGrid1.Columns.Count - 1
            Me.C1TrueDBGrid1.Columns(x%).FilterDropdown = True
        Next


    End Sub


    Sub subCaricaInValueItems(ByRef Tabella As C1.Win.C1TrueDBGrid.C1TrueDBGrid, ByVal nomeColonna As String)

        Dim V1 As New C1.Win.C1TrueDBGrid.ValueItem
        V1.Value = 1
        V1.DisplayValue = "Milano"
        Tabella.Columns(nomeColonna).ValueItems.Values.Add(V1)
        '
        Dim V2 As New C1.Win.C1TrueDBGrid.ValueItem
        V2.Value = 2
        V2.DisplayValue = "Genova"
        Tabella.Columns(nomeColonna).ValueItems.Values.Add(V2)
        '
        Dim V3 As New C1.Win.C1TrueDBGrid.ValueItem
        V3.Value = 3
        V3.DisplayValue = "Parigi"
        Tabella.Columns(nomeColonna).ValueItems.Values.Add(V3)
        '
        Dim V4 As New C1.Win.C1TrueDBGrid.ValueItem
        V4.Value = 4
        V4.DisplayValue = "Londra"
        Tabella.Columns(nomeColonna).ValueItems.Values.Add(V4)
        '

    End Sub
End Class
